## crossfire 0.95.4

=== doc/spell-docs/Makefile ===
# Generated automatically from Makefile.in by configure.

DOCFILES = README prayer-list.ps spell-info.ps spell-list.ps \
	spell-summary.ps tome-of-magic.ps prayer-list.txt spell-info.txt \
	spell-summary.ps tome-of-magic.txt Makefile.in

install::

depend::

clean::

all::

archive::
	@if [ ! -d $(ARCHIVE)/doc/spell-docs ]; then $(MKDIR) $(ARCHIVE)/doc/spell-docs ; fi
	$(CP) Makefile $(DOCFILES) $(ARCHIVE)/doc/spell-docs

patchlist::
	echo $(DOCFILES) > .patchlist

## crossfire 1.1.0

=== doc/spell-docs/Makefile ===
--- 
+++ 
@@ -10,6 +10,9 @@
 
 clean::
 
+distclean::
+	$(RM) -f Makefile
+
 all::
 
 archive::

## crossfire 1.50.0

=== debian/changelog ===
crossfire (1.50.0-1) unstable; urgency=low

  * New upstream release
    + crossedit removed by upstream
  * Source format 3.0 (quilt).
  * Standards-Version 3.8.4, debhelper compat 7
  * Use automake as build dep and recreate all Makefile.in files and the
    configure file at build time.
  * Use killall -q ... || true in logrotate (Closes: #475652)
  * Explicitly use python2.6-dev as build dep.
  * Build dep and depend on bzip2.

 -- Kari Pahula <kaol@debian.org>  Wed, 16 Jun 2010 20:12:28 +0300

crossfire (1.11.0-2) unstable; urgency=low

  * Added missing build-dep libtool (Closes: #464272)

 -- Kari Pahula <kaol@debian.org>  Wed, 06 Feb 2008 11:17:02 +0200

crossfire (1.11.0-1) unstable; urgency=low

  * New upstream release
  * Use policy version 3.7.3 and debhelper compat level 6.
  * Removed patches daemon_open_once and sighup_log_reopen since they've
    been included in the upstream source.
  * Removed linda-overrides.
  * Added a brief description to crossfire-config's man page's NAME
    section.

 -- Kari Pahula <kaol@debian.org>  Mon, 04 Feb 2008 06:07:53 +0200

crossfire (1.10.0-2) unstable; urgency=low

  * Patched SIGHUP handler to reopen log file (Closes: #232421)
  * Added a logrotate file.
  * Patched become_daemon() to not open the log file for a second time.
  * The -detach option was hacked in 1.9.1-3 to not really daemonize the
    process as that seemed to cause problems with the plugin system and
    s-s-d's --background option was used instead.  That issue seems to be
    solved now and -detach is used again now.

 -- Kari Pahula <kaol@debian.org>  Sun,  6 May 2007 00:29:33 +0300

crossfire (1.10.0-1) unstable; urgency=low

  * New upstream release
  * Removed code from crossfire-server's postinst that cleaned up the
    permission scheme used in versions prior to 1.8.0-2
  * Added code to crossfire-server's postinst to add an initial clockdata
    file

 -- Kari Pahula <kaol@debian.org>  Fri, 13 Apr 2007 23:24:27 +0300

crossfire (1.9.1-4) unstable; urgency=low

  * Fixed FTBFS by removing config.log in debian/rules clean (Closes: #379369)
  * Moved the /etc files from crossfire-common back to
    crossfire-server. (Closes: #338069)
  * Install crossfire-config to crossfire-server.

 -- Kari Pahula <kaol@debian.org>  Sun, 23 Jul 2006 14:40:56 +0300

crossfire (1.9.1-3) unstable; urgency=low

  * Made the plugin system work. (Closes: #379348)
  * Removed the useless file /usr/share/doc/crossfire-server/NEWS.gz

 -- Kari Pahula <kaol@debian.org>  Sun, 23 Jul 2006 03:27:53 +0300

crossfire (1.9.1-2) unstable; urgency=low

  * Added missing build-dependency: quilt

 -- Kari Pahula <kaol@debian.org>  Thu,  6 Jul 2006 16:27:00 +0300

crossfire (1.9.1-1) unstable; urgency=low

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Thu,  6 Jul 2006 02:27:38 +0300

crossfire (1.9.0-2) unstable; urgency=high

  * Patch socket/request to fix CVE-2006-1236: Arbitrary code execution in
    crossfire

 -- Kari Pahula <kaol@iki.fi>  Thu, 16 Mar 2006 11:48:35 +0200

crossfire (1.9.0-1) unstable; urgency=low

  * New upstream release
  * mv /usr/games/crossfire /usr/sbin/crossfire
  * Build-dep on libxaw7-dev, not libxaw8-dev

 -- Kari Pahula <kaol@iki.fi>  Tue,  7 Mar 2006 18:21:16 +0200

crossfire (1.8.0-2) unstable; urgency=low

  * Removed unneeded build-deps xlibs-dev and xutils.
  * crossfire-server: recommends: python
  * crossfire-common: arch: all
  * Removed the sticky bit from crossfire's /var dirs and executables,
    made them writable by gid games, run crossfire server as games:games
    from init.d script.  It's a saner way to fix #284892.

 -- Kari Pahula <kaol@iki.fi>  Sun, 18 Dec 2005 20:46:52 +0200

crossfire (1.8.0-1) unstable; urgency=low

  * New upstream release (closes: #286051, #232336, #297563)
  * Disabled watchdog.
  * Split common files of crossfire-edit and crossfire-server from
    crossfire-server to crossfire-common. (closes: #202379)
  * Put crossedit to /usr/games/, not /usr/sbin/.
  * Remove the debconf questions.  Those asked about upgrading from
    versions dating back to potato.  We don't need to support that
    anymore.  (closes: #276808, 306114)
  * Made crossfire-server and crossfire-edit sgid games and
    /var/log/crossfire and /var/games/crossfire to belong to group
    games. (closes: #284892)

 -- Kari Pahula <kaol@iki.fi>  Fri, 19 Aug 2005 21:19:52 +0300

crossfire (1.6.0.dfsg.1-4) unstable; urgency=low

  * New maintainer, sponsored upload
  * Repackaged orig.tar.gz, removed non-free file lib/adm/map_check
    (closes: #311439)

 -- Jaakko Niemi <liiwi@debian.org>  Wed,  1 Jun 2005 19:07:21 +0300

crossfire (1.6.0-3) unstable; urgency=low

  * Rerun libtoolize & friends (closes: #276510)

 -- Jaakko Niemi <liiwi@debian.org>  Thu, 14 Oct 2004 21:03:57 +0300

crossfire (1.6.0-2) unstable; urgency=low

  * fix executable localtions that broke when cdbs was taken
    into use. (thanks, simonrvn)
  * Update German debconf translation (closes: #274029)
  * Update French debconf translation (closes: #207120)

 -- Jaakko Niemi <liiwi@debian.org>  Sun, 10 Oct 2004 23:59:05 +0300

crossfire (1.6.0-1) unstable; urgency=low

  * New upstream release
  * Redid packaging with cdbs
  * Refactored {post,pre}inst not to require debconf (closes: #263351)
  * Started using po-debconf to manage translations

 -- Jaakko Niemi <liiwi@debian.org>  Sun,  8 Aug 2004 13:53:04 +0300

crossfire (1.4.0-4) unstable; urgency=low

  * update utils/config.{sub,guess} too. God dagnabit,
    do we really need these..

 -- Jaakko Niemi <liiwi@debian.org>  Mon, 18 Nov 2002 23:43:08 +0200

crossfire (1.4.0-3) unstable; urgency=low

  * fix #167844 for real.
  * update config.{sub,guess} (closes: #168524)

 -- Jaakko Niemi <liiwi@debian.org>  Mon, 11 Nov 2002 19:24:51 +0200

crossfire (1.4.0-2) unstable; urgency=low

  * install configuration files to /etc/crossfire (closes: 167844)

 -- Jaakko Niemi <liiwi@debian.org>  Tue,  5 Nov 2002 20:13:57 +0200



=== debian/control ===
Source: crossfire
Section: games
Priority: optional
Maintainer: Kari Pahula <kaol@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7), cdbs, flex, python2.6-dev, libsqlite3-dev, automake, libtool, bzip2
Homepage: http://crossfire.real-time.com/

Package: crossfire-server
Architecture: any
Depends: bzip2, crossfire-maps, crossfire-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Server for Crossfire Games
 This is the server program for the crossfire client
 .
 Crossfire is a multiplayer graphical arcade and adventure game made for
 the X environment.
 It has certain flavours from other games, especially Gauntlet (TM)
 and Nethack/Moria.
 Any number of players can move around in their own window, finding
 and using items and battle monsters.  They can choose to cooperate
 or compete in the same "world".

Package: crossfire-common
Architecture: all
Depends: ${misc:Depends}
Description: Architecture independent common files for Crossfire server
 Crossfire is a  multiplayer graphical arcade and adventure game made for
 the X environment.
 It has certain flavors from other games, especially Gauntlet (TM)
 and Nethack/Moria.
 Any number of players can move around in their own window, finding
 and using items and battle monsters.  They can choose to cooperate
 or compete in the same "world".

Package: crossfire-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for Crossfire
 This is the document package for crossfire.  It has information for
 both the server and the client.

=== debian/rules ===
#!/usr/bin/make -f

DEB_FIXPERMS_EXCLUDE := /usr/games/crossfire /var/log/crossfire \
		/var/games/crossfire \
		/var/games/crossfire/datafiles \
		/var/games/crossfire/players \
		/var/games/crossfire/temp.maps \
		/var/games/crossfire/unique-items

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

# useless notes for upgrading from pre 1.3.0 versions
DEB_INSTALL_DOCS_ALL := -XNEWS

DEB_CONFIGURE_EXTRA_FLAGS :=	--bindir=/usr/games \
				--datadir=/usr/share/games \
				--localstatedir=/var/games \
				--disable-check

post-patches:: configure

configure:
	autoreconf --install

clean::
	find . -name Makefile.in -exec rm '{}' ';'
	rm -f configure config.log aclocal.m4
	rm -f utils/config.sub utils/config.guess
	rm -f utils/depcomp utils/install-sh
	rm -f utils/ltmain.sh utils/missing
	rm -rf autom4te.cache
	rm -f macros/libtool.m4 macros/lt*.m4

binary-install/crossfire-server::
	chown games:games debian/crossfire-server/var/log/crossfire \
		debian/crossfire-server/var/games/crossfire \
		debian/crossfire-server/var/games/crossfire/datafiles \
		debian/crossfire-server/var/games/crossfire/players \
		debian/crossfire-server/var/games/crossfire/temp.maps \
		debian/crossfire-server/var/games/crossfire/unique-items

## crossfire 1.60.0

=== debian/changelog ===
crossfire (1.60.0-2ubuntu1) precise; urgency=low

  * debian/patches/fix-pkglibdir: Fix pkglibdir as not a legitimate
    directory for 'SCRIPTS' and 'PROGRAMS' (from Debian BTS #663612).
    Thanks to Monica Ramirez Arceda.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 02 Apr 2012 13:04:44 -0400

crossfire (1.60.0-2) unstable; urgency=low

  * Added 1.50.0-1.1's changelog entry to debian/changelog.

 -- Kari Pahula <kaol@debian.org>  Tue, 09 Aug 2011 13:54:24 +0300

crossfire (1.60.0-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.9.2 (no changes necessary).
  * Build dependency on python-all-dev.

 -- Kari Pahula <kaol@debian.org>  Tue, 09 Aug 2011 12:44:25 +0300

crossfire (1.50.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621201).

 -- Luk Claes <luk@debian.org>  Sat, 11 Jun 2011 22:55:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: crossfire
 Section: games
 Priority: optional
-Maintainer: Kari Pahula <kaol@debian.org>
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 7), cdbs, flex, python2.6-dev, libsqlite3-dev, automake, libtool, bzip2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kari Pahula <kaol@debian.org>
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7), cdbs, flex, python-all-dev, libsqlite3-dev, automake, libtool, bzip2
 Homepage: http://crossfire.real-time.com/
 
 Package: crossfire-server

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,10 @@
 #!/usr/bin/make -f
+
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+MAKEFLAGS += -j$(NUMJOBS)
+endif
+
 
 DEB_FIXPERMS_EXCLUDE := /usr/games/crossfire /var/log/crossfire \
 		/var/games/crossfire \
@@ -21,15 +27,15 @@
 post-patches:: configure
 
 configure:
-	autoreconf --install
+	autoreconf --install -s
 
 clean::
-	find . -name Makefile.in -exec rm '{}' ';'
-	rm -f configure config.log aclocal.m4
+	find . \( -name Makefile.in -o -name Makefile \) -exec rm '{}' ';'
+	rm -f configure config.* aclocal.m4
 	rm -f utils/config.sub utils/config.guess
 	rm -f utils/depcomp utils/install-sh
 	rm -f utils/ltmain.sh utils/missing
-	rm -rf autom4te.cache
+	rm -rf autom4te.cache include/autoconf.h.in
 	rm -f macros/libtool.m4 macros/lt*.m4
 
 binary-install/crossfire-server::
@@ -39,3 +45,6 @@
 		debian/crossfire-server/var/games/crossfire/players \
 		debian/crossfire-server/var/games/crossfire/temp.maps \
 		debian/crossfire-server/var/games/crossfire/unique-items
+
+binary-fixup/crossfire-server::
+	find debian/crossfire-server/usr/lib/crossfire/ -name "*.la" -exec rm "{}" ";"

## crossfire 1.70.0

=== debian/changelog ===
crossfire (1.70.0-1) unstable; urgency=low

  * New upstream release (Closes: #663612)
  * Standards-Version 3.9.3 (no changes necessary).
  * Use dh-autoreconf.
  * Create /var/games/crossfire/account directory. (Closes: #602706)

 -- Kari Pahula <kaol@debian.org>  Mon, 09 Apr 2012 21:53:46 +0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: crossfire
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kari Pahula <kaol@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7), cdbs, flex, python-all-dev, libsqlite3-dev, automake, libtool, bzip2
+Maintainer: Kari Pahula <kaol@debian.org>
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7), cdbs, flex, python-all-dev, libsqlite3-dev, dh-autoreconf, bzip2
 Homepage: http://crossfire.real-time.com/
 
 Package: crossfire-server

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_PARALLEL=yes

DEB_FIXPERMS_EXCLUDE := /usr/games/crossfire /var/log/crossfire \
		/var/games/crossfire \
		/var/games/crossfire/datafiles \
		/var/games/crossfire/players \
		/var/games/crossfire/temp.maps \
		/var/games/crossfire/unique-items

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

# useless notes for upgrading from pre 1.3.0 versions
DEB_INSTALL_DOCS_ALL := -XNEWS

DEB_CONFIGURE_EXTRA_FLAGS :=	--bindir=/usr/games \
				--datadir=/usr/share/games \
				--localstatedir=/var/games \
				--disable-check

binary-install/crossfire-server::
	chown games:games debian/crossfire-server/var/log/crossfire \
		debian/crossfire-server/var/games/crossfire \
		debian/crossfire-server/var/games/crossfire/account \
		debian/crossfire-server/var/games/crossfire/datafiles \
		debian/crossfire-server/var/games/crossfire/players \
		debian/crossfire-server/var/games/crossfire/temp.maps \
		debian/crossfire-server/var/games/crossfire/unique-items

binary-fixup/crossfire-server::
	find debian/crossfire-server/usr/lib/crossfire/ -name "*.la" -exec rm "{}" ";"

## crossfire 1.71.0%2Bdfsg1

=== debian/changelog ===
crossfire (1.71.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Repackaged as +dfsg1 to remove some included scripts and utilities
    with missing or non-DFSG free licenses.
  * Standards-Version: 3.9.5 (no changes necessary).
  * Wrote a systemd.service file.
  * Added libcurl-dev to build deps and enabled metaserver suppoert.

 -- Kari Pahula <kaol@debian.org>  Wed, 14 May 2014 18:41:29 +0300

## crossfire 1.71.0+dfsg1

=== debian/changelog ===
crossfire (1.71.0+dfsg1-2) unstable; urgency=medium

  * Standards-version 4.3.0, debhelper compat 10 (no changes necessary)
  * Remove obsolete patch autoconf-fixes-663612
  * Fix cdbs variable with dh_fixperms to really set directories under
    /var/games as games:games and use crossfire-server.postinst to correct
    earlier versions' directories.  (Closes: #920955)

 -- Kari Pahula <kaol@debian.org>  Fri, 08 Feb 2019 21:59:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 7), cdbs, flex, python-all-dev, libsqlite3-dev, dh-autoreconf, bzip2
+Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 10), cdbs, flex, python-all-dev, libsqlite3-dev, dh-autoreconf, bzip2, libcurl4-gnutls-dev | libcurl-dev
 Homepage: http://crossfire.real-time.com/
 
 Package: crossfire-server

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 include /usr/share/cdbs/1/class/autotools.mk
 
 # useless notes for upgrading from pre 1.3.0 versions
-DEB_INSTALL_DOCS_ALL := -XNEWS
+DEB_INSTALL_DOCS_ALL := -XNEWS -XMakefile -XMakefile.am -XMakefile.in
 
 DEB_CONFIGURE_EXTRA_FLAGS :=	--bindir=/usr/games \
 				--datadir=/usr/share/games \
@@ -32,3 +32,8 @@
 
 binary-fixup/crossfire-server::
 	find debian/crossfire-server/usr/lib/crossfire/ -name "*.la" -exec rm "{}" ";"
+
+# Upstream forgot to include a build stamp for the arch generated
+# files
+pre-build::
+	touch -t 200001010000 lib/.collect-stamp

## crossfire 1.75.0

=== debian/changelog ===
crossfire (1.75.0-9) unstable; urgency=medium

  * Standards-Version 4.7.2 (no changes necessary)
  * Replace debian/compat with a dependency on debhelper-compat (= 13)
  * Set CFLAGS=--std=gnu17 to retain support for function declarations
    without parameters (Closes: #1096484)
  * Add libcrypt-dev to Build-Depends (Closes: #1106939)

 -- Kari Pahula <kaol@debian.org>  Sun, 14 Sep 2025 14:44:18 +0300

crossfire (1.75.0-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make requirement for root when building the package explicit.
    (Closes: #1089307)
  * Apply hints from the Multi-Arch hinter.

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 10:06:19 +0000

crossfire (1.75.0-8) unstable; urgency=medium

  * Fix GCC 14 related FTBFS.  (Closes: #1077522)
  * Update pkg-config build dep to pkgconf.

 -- Kari Pahula <kaol@debian.org>  Wed, 28 Aug 2024 10:17:38 +0300

crossfire (1.75.0-7) unstable; urgency=medium

  * Patch plugins/cfpython/cjson.c to fix FTBFS with Python 3.12.  Thanks
    to Boyuan Yang for patch.  (Closes: #1074224)

 -- Kari Pahula <kaol@debian.org>  Wed, 03 Jul 2024 11:15:10 +0300

crossfire (1.75.0-6) unstable; urgency=medium

  * Patch plugins/cfpython/cjson.c to use
    PyUnicode_AsRawUnicodeEscapeString instead of deprecated
    PyUnicode_EncodeRawUnicodeEscape which was removed in Python 3.11.
    (Closes: #1042977)
  
 -- Kari Pahula <kaol@debian.org>  Sat, 05 Aug 2023 15:01:09 +0300

crossfire (1.75.0-5) unstable; urgency=medium

  * Exclude Makefiles from crossfire-doc package to help reproducible
    builds.  (Closes: #981570)

 -- Kari Pahula <kaol@debian.org>  Sun, 24 Jul 2022 13:35:05 +0300

crossfire (1.75.0-4) unstable; urgency=medium

  * Cherry-pick changes to plugins/cfpython/cfpython.c from git to fix
    FTBFS with Python 3.10 (Closes: #1008637)
  * Add Install section to the provided systemd service file with
    WantedBy=multi-user.target

 -- Kari Pahula <kaol@debian.org>  Thu, 21 Jul 2022 21:56:12 +0300

crossfire (1.75.0-3) unstable; urgency=medium

  * Fix build-deps for building python plugin

 -- Kari Pahula <kaol@debian.org>  Tue, 26 Jan 2021 08:09:22 +0200

crossfire (1.75.0-2) unstable; urgency=medium

  * Fix arch:all build.

 -- Kari Pahula <kaol@debian.org>  Mon, 25 Jan 2021 08:44:46 +0200

crossfire (1.75.0-1) unstable; urgency=medium

  * Standards-Version 4.5.1
  * New upstream release.
  * Switch to use DH in debian/rules, dh compat 13.
  * Add a postinst script to convert python2 shelve files to python3.
  * Build with Python 3 (Closes: #936344)

 -- Kari Pahula <kaol@debian.org>  Sun, 24 Jan 2021 20:02:52 +0200

=== debian/control ===
Source: crossfire
Section: games
Priority: optional
Maintainer: Kari Pahula <kaol@debian.org>
Rules-Requires-Root: binary-targets
Standards-Version: 4.7.2
Build-Depends:
  debhelper (>= 13),
  debhelper-compat (= 13),
  automake,
  libtool,
  flex,
  libsqlite3-dev,
  bzip2,
  libcurl4-gnutls-dev | libcurl-dev,
  libpython3-dev,
  pkgconf,
  libcrypt-dev,
Homepage: http://crossfire.real-time.com/
Vcs-Browser: https://salsa.debian.org/kaol/crossfire
Vcs-Git: https://salsa.debian.org/kaol/crossfire.git

Package: crossfire-server
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: bzip2, crossfire-maps, crossfire-common (>= ${source:Version}), python3, python3-bsddb3, ${shlibs:Depends}, ${misc:Depends}
Description: Server for Crossfire Games
 This is the server program for the crossfire client.
 .
 Crossfire is a free, open-source, cooperative multi-player RPG and
 adventure game. Since its initial release, Crossfire has grown to
 encompass over 150 monsters, 3000 areas to explore, an elaborate
 magic system, 13 races, 15 character classes, and many powerful
 artifacts scattered far and wide. Set in a fantastical medieval
 world, it blends the style of Gauntlet, NetHack, Moria, and Angband.

Package: crossfire-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Architecture independent common files for Crossfire server
 Crossfire is a free, open-source, cooperative multi-player RPG and
 adventure game. Since its initial release, Crossfire has grown to
 encompass over 150 monsters, 3000 areas to explore, an elaborate
 magic system, 13 races, 15 character classes, and many powerful
 artifacts scattered far and wide. Set in a fantastical medieval
 world, it blends the style of Gauntlet, NetHack, Moria, and Angband.

Package: crossfire-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Documentation for Crossfire
 This is the document package for crossfire.  It has information for
 both the server and the client.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_fixperms:
	dh_fixperms \
-X /var/games/crossfire \
-X /var/games/crossfire/datafiles \
-X /var/games/crossfire/players \
-X /var/games/crossfire/temp.maps \
-X /var/games/crossfire/unique-items
	! test -e debian/crossfire-server || chown games:games \
debian/crossfire-server/var/log/crossfire \
debian/crossfire-server/var/games/crossfire \
debian/crossfire-server/var/games/crossfire/account \
debian/crossfire-server/var/games/crossfire/datafiles \
debian/crossfire-server/var/games/crossfire/players \
debian/crossfire-server/var/games/crossfire/temp.maps \
debian/crossfire-server/var/games/crossfire/unique-items
	! test -e debian/crossfire-server || find debian/crossfire-server/usr/lib/ -name "*.la" -exec rm "{}" ";"

override_dh_auto_configure:
	dh_auto_configure -- \
CFLAGS=--std=gnu17 \
--bindir=/usr/games \
--datadir=/usr/share/games \
--localstatedir=/var/games \
--disable-check

override_dh_installdocs:
	dh_installdocs -X/Makefile
